//https://docs.aws.amazon.com/lambda/latest/dg/nodejs-context.html

// We are only picking the contant values and not the functions, since it
// is unclear how carrying functions and complex objects forward through the
// asynclocalstorage context will affect performance, memory usage, and a risk
// of recursive references
module.exports = {
  callbackWaitsForEmptyEventLoop: "callbackWaitsForEmptyEventLoop",
  functionVersion: "functionVersion",
  functionName: "functionName",
  memoryLimitInMB: "memoryLimitInMB",
  logGroupName: "logGroupName",
  logStreamName: "logStreamName",
  invokedFunctionArn: "invokedFunctionArn",
  awsRequestId: "awsRequestId",
};
