const { get: getIn } = require("lodash");
const { getValue } = require("../asyncLocalStorage/asyncLocalStorageNamespace");

const { LAMBDA_REQUEST_CONTEXT } = require("../constants/commonConstants");
const { awsRequestId } = require("../constants/lambdaContextProperties");

const getContext = () => getValue(LAMBDA_REQUEST_CONTEXT);

const getAWSRequestId = (defaultValue) =>
  getIn(getContext(), awsRequestId, defaultValue);

module.exports = {
  getContext,
  getAWSRequestId,
};
